#ifndef ENCODER_CONFIG_PAGE2_H
#define ENCODER_CONFIG_PAGE2_H

#include <QWidget>
#include <QPushButton>
#include <QLineEdit>
#include <QProgressBar>
#include "loongson_data.h"


namespace Ui {
class encoder_config_page2;
}
class encoder_config_page2 : public QWidget
{
    Q_OBJECT

public:
    explicit encoder_config_page2(QWidget *parent = nullptr);
    ~encoder_config_page2();
public slots:
    int handle_config_data2();
    int QString2HexInt(QString str);
    int handle_json_config2();
    int get_cell_row();
    int statistics_config_group();
public:
    Ui::encoder_config_page2 *ui;
    config_all* all_cfg2 = nullptr;
    QList<QPushButton *> Btn2;
    QList<QProgressBar *> Bar2;
    QList<QLineEdit *> LineEd;
    int config_type = -1;
};

#endif // ENCODER_CONFIG_PAGE2_H
