#ifndef CONNECTOR_EDID_PAGE1_H
#define CONNECTOR_EDID_PAGE1_H

#include <QMainWindow>
#include "loongson_data.h"



namespace Ui {
class connector_edid_page1;
}

struct edid_info;

class connector_edid_page1 : public QMainWindow
{
    Q_OBJECT

public:
    explicit connector_edid_page1(QWidget *parent = 0);
    ~connector_edid_page1();
    void cache_edid_data(const QString &filename);

public:
    Ui::connector_edid_page1 *ui;
    edid_info *EDID_INFO = nullptr;
    QMenu *File = nullptr;
    QAction *loadAction = nullptr;
    QAction *helpAciton = nullptr;
    int count = 0;
private slots:
    void slot_load();
    void slot_clear();
    void on_add_edid_btn_clicked();
    void on_clear_edid_btn_clicked();
};

#endif // CONNECTOR_EDID_PAGE1_H
