#ifndef ENCODER_CONFIG_PAGE1_H
#define ENCODER_CONFIG_PAGE1_H

#include <QWidget>
#include <QPushButton>
#include <QLineEdit>
#include <QProgressBar>
#include "loongson_data.h"

namespace Ui {
class encoder_config_page1;
}

class encoder_config_page1 : public QWidget
{
    Q_OBJECT

public:
    explicit encoder_config_page1(QWidget *parent = nullptr);
    ~encoder_config_page1();
public slots:
    int handle_config_data1();
    int handle_json_config1();
    int get_cell_row1();
    int statistics_config_group1();
public:
    Ui::encoder_config_page1 *ui;
    config_all* all_cfg1 = nullptr;
    QList<QPushButton *> Btn1;
    QList<QProgressBar *> Bar1;
    QList<QLineEdit *> LineEd1;
    int config_type1 = -1;
};

#endif // ENCODER_CONFIG_PAGE1_H
