#ifndef HEXSPINBOX_H
#define HEXSPINBOX_H
#include <QSpinBox>
#include <QRegExpValidator>

class HexSpinBox : public QSpinBox
{
    Q_OBJECT
public:
    explicit HexSpinBox(QWidget *parent = nullptr);
protected:

    QValidator::State  validate(QString &text, int &pos) const;

    int valueFromText(const QString &text) const;

    QString textFromValue(int value) const;
public:
    QRegExpValidator* validator;
};
#endif // HEXSPINBOX_H
